GET
/
v1
/
organizations
/
{organizationId}
/
provider-gateway
/
requests
/
{requestId}
TypeScript client
import { OctosparkClient } from '@octospark/sdk'

const client = new OctosparkClient({
  token: process.env.OCTOSPARK_TOKEN
})

const response = await client.providerGateway.getProviderRequestStatus({
  organizationId: process.env.OCTOSPARK_ORGANIZATION_ID ?? "organizationId",
  requestId: process.env.OCTOSPARK_REQUEST_ID ?? "requestId",
})
{
  "requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "response": {
    "requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": 123,
    "contentType": "<string>",
    "bodyBase64": "<string>",
    "retryAfter": "<string>",
    "chargeDecimillicents": 123,
    "providerUsageCostDecimillicents": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

Organization id (UUID). Discover ids via the list organizations endpoint or the agent context.

requestId
string<uuid>
required

Request UUID returned when executing or queueing a provider request.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

Response

Success

requestId
string<uuid>
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
status
enum<string>
required
Available options:
reserved,
queued,
preparing,
dispatched,
completed,
uncertain,
failed,
billing_hold
response
object
required